def dechiffrement_affine(a,b,lettre):
    lettre = lettre.upper()
    x = ascii_uppercase.index(lettre)

    # calcule l'inverse de a modulo 26

    i = 0
    while (a*i%26 != 1):
        i = i + 1

    # calcule le rang de la lettre initiale

    y = ( i * (x-b) ) % 26

    return ascii_uppercase[y]
